Subject: bug#40845: SVG rendering issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 May 2020 19:07:56 +0300

> Date: Sun, 3 May 2020 15:13:48 +0100
> From: Alan Third <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> I’ve run into a problem with the base64 encoding.
> 
> /usr/bin/base64 encodes this file differently from Emacs:
> 
>     https://upload.wikimedia.org/wikipedia/commons/9/92/MixedUnitAddition.svg
> 
> librsvg doesn’t like the way Emacs encodes the file, but is fine with
> the system base64.
> 
> I think the problem is the GBP £ symbol on line 39.
> 
> Do I need to do something special, like set up character encodings?

You need to make sure the text passed to base64-encode-region is
unibyte.  I suggest to look at how other packages call that function.

Let me know if this general advice doesn't help.

Thanks.